﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using NuMetaheuristics;
using NuMetaheuristics.Genotypes;
using NuMetaheuristics.Operators.Value;
using NuMetaheuristics.Operators.Vector;

using Xunit;

namespace NuMetaheuristics.UnitTests
{
    public class VectorGenotypeTests
    {
        [Fact]
        public void CtorDouble()
        {
            DoubleVectorGenotype g = new DoubleVectorGenotype(10);
            Assert.True(g.Vector.Length == 10);
        }

        [Fact]
        public void CopyCtorDouble()
        {
            DoubleVectorGenotype h = new DoubleVectorGenotype(10);
            DoubleVectorGenotype g = new DoubleVectorGenotype(h);
            Assert.True(g.Vector.Length == 10);
        }

        [Fact]
        public void CtorInt()
        {
            IntegerVectorGenotype g = new IntegerVectorGenotype(10);
            Assert.True(g.Vector.Length == 10);
        }

        [Fact]
        public void CopyCtorInt()
        {
            IntegerVectorGenotype h = new IntegerVectorGenotype(10);
            IntegerVectorGenotype g = new IntegerVectorGenotype(h);
            Assert.True(g.Vector.Length == 10);
        }
    }
}
